package com.cyksj.service.mini;

import com.cyksj.dto.Result;
import com.cyksj.model.entity.User;
import com.cyksj.model.request.MiniArticleReq;
import com.cyksj.model.request.MiniSchemaReq;
import com.cyksj.model.views.ArticleDetailView;

/*
 *项目名: netflix
 *文件名: MiniService
 *创建者: JavaZou
 *创建时间:2023/5/11 18:06
 */
public interface MiniService {
	String getMiniURLLink(String path, String minType) throws Exception;

	User wxlogin(String code, String appId) throws Exception;

	Result<String> markArticle(MiniArticleReq miniArticleReq);

	ArticleDetailView getArticleDetailView(Long articleId, Long userId);

	void getStudentIdentity(User user, String code) throws Exception;

	/**
	 * 生成小程序schema
	 */
	String generateSchema(MiniSchemaReq req) throws Exception;

	byte[] generateCode(MiniSchemaReq req) throws Exception;

	String generateGptMiniSchema(MiniSchemaReq req) throws Exception;
}
